# MIKE+Py Scripts

On this git you can find several scripts which were written to automate the development of real time control rules for control of sewer systems in [MIKE+](https://worldwide.dhigroup.com/de/mikeplus).

## Description
The project is based on the Pyhton interface [MIKE+Py](https://github.com/DHI/mikepluspy) which was developed by DHI. It contains several scripts including:
- Automated hydraulic calibration of a MIKE+ model
- Automated calibration of a waterquality / sediment transport model
- Automated optimization of heuristic control rules
- Analysis of P-RTC potential

## Requirements
- Python version:
- see env.yml file for all necessary packages to runs the scripts

## Usage
Use examples liberally, and show the expected output if you can. It's helpful to have inline the smallest example of usage that you can demonstrate, while providing links to more sophisticated examples if they are too long to reasonably include in the README.

## Support
For any questions regarding the code pls reach out to:  
Sebastian Kerger: kerger@fiw.rwth-aachen.de  
Leon Trojan: trojan@fiw.rwth-aachen.de  

## Roadmap
The code is currently not developed any further as the project came to an end.

## Contributing
State if you are open to contributions and what your requirements are for accepting them.

For people who want to make changes to your project, it's helpful to have some documentation on how to get started. Perhaps there is a script that they should run or some environment variables that they need to set. Make these steps explicit. These instructions could also be useful to your future self.

You can also document commands to lint the code or run tests. These steps help to ensure high code quality and reduce the likelihood that the changes inadvertently break something. Having instructions for running tests is especially helpful if it requires external setup, such as starting a Selenium server for testing in a browser.

## Authors and acknowledgment
The code in this project was written by Leon Trojan, Yu-Jin Schroer and Sebastian Kerger. The code was developed in the project [ENTfrachtEN](https://www.fiw.rwth-aachen.de/en/references/entfrachten) carried out by the [Research Institute for Water Management and Climate Future at RWTH Aachen University](https://www.fiw.rwth-aachen.de/en/). The project was funded by the [Deutsche Bundesstiftung Umwelt](https://www.dbu.de/en/). 

## Code of Conduct
Please note that this project is released with a [Contributor Code of Conduct](https://www.contributor-covenant.org/). By participating in this project you agree to abide by its terms.

## Project status
The work on this project ends with the project in march 2025.
